/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

var busyIndicator = null;

function wlCommonInit() {
	busyIndicator = new WL.BusyIndicator('AppBody');
	$('#BusyIndicatorStartButton').click(busyIndicatorDemo);
	$('#SimpleDialogStartButton').click(simpleDialogDemo);
}

function busyIndicatorDemo() {
	busyIndicator.show();
	setTimeout(function() {
		busyIndicator.hide();
	}, 5000);
}

function simpleDialogDemo() {
	var dialogTitle = "CommonControls";
	var dialogText = "This is simple dialog text";

	WL.SimpleDialog.show(dialogTitle, dialogText, [ {
		text : 'I am button 1',
		handler : simpleDialogButton1Click
	}, {
		text : 'I am button 2',
		handler : simpleDialogButton2Click
	}

	]);
}

function simpleDialogButton1Click() {
	alert("simpleDialogButton1 Clicked");

}

function simpleDialogButton2Click() {
	alert("simpleDialogButton2 Clicked");
}
