/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

// This method is invoked after loading the main HTML and successful initialization of the Worklight runtime.
function wlEnvInit(){
    wlCommonInit();
	WL.TabBar.init();
	
	WL.TabBar.addItem(  "item1",
	
						function(){ alert("item 1 pressed"); }, 
	
						"item 1 title", 
	
						{ image : "tabButton:Search" }
	);
	
	
	WL.TabBar.addItem("item2",function(){ alert("item 2 pressed"); }, "item 2 title", {image : "tabButton:More"});
	WL.TabBar.addItem("item3",function(){ alert("item 3 pressed"); }, "item 3 title", {image : "tabButton:Downloads"});
	WL.TabBar.addItem("item4",function(){ alert("item 4 pressed"); }, "item 4 title", {image : "tabButton:Recents"});
	WL.TabBar.addItem("item5",function(){ alert("item 5 pressed"); }, "item 5 title", {image : "tabButton:Contacts"});
	
	WL.TabBar.setVisible(true);		
}